{
  "compilerOptions": {
    // "allowJs": true,
    // "declaration": true,
    "noEmit": true,
    "allowImportingTsExtensions": true,
    "tsBuildInfoFile": "./node_modules/.tmp/tsconfig.node.tsbuildinfo",
    "forceConsistentCasingInFileNames": true,
    "useDefineForClassFields": true,
    "target": "ESNext",
    "module": "ESNext",
    "moduleResolution": "bundler",
    "strict": true,
    "strictNullChecks": true,
    "jsx": "preserve",
    "sourceMap": true,
    "resolveJsonModule": true,
    "esModuleInterop": false,
    "isolatedModules": true,
    "baseUrl": "./", // paths 路径解析起点
    "paths": { // 别名路径设置
      "@/*": [
        "./src/*"
      ],
    },
    "lib": [
      "ES2015",
      "DOM"
    ],
    "types": [
      "vite/client"
    ]
  },
  "include": [
    "src/*.vue",
    "src/**/*",
    "src/**/*.ts",
    "src/**/*.tsx",
    "src/**/*.vue",
    "*.d.ts",
    ".vscode/bak/RouteIndex.d.ts",
    "vite.config.*",
    "vitest.config.*",
    "cypress.config.*",
    "nightwatch.conf.*",
    "playwright.config.*",
    "eslint.config.*"
  ],
  // "extends": "@tsconfig/node22/tsconfig.json",
  "exclude": [
    "./node_modules",
  ]
}